package com.tung.switchyard.rest_demo;

import org.apache.log4j.Logger;
import org.switchyard.component.bean.Service;

import com.tung.switchyard.rest_demo.dto.GreetingResponse;

@Service(value = IHelloProcessor.class, name = "CSHelloProcessor")
public class HelloProcessorBean implements IHelloProcessor {

	private static Logger logger = Logger.getLogger(HelloProcessorBean.class);
	
	@Override
	public GreetingResponse hiMan(String name) throws Exception {
		logger.info("name: " + name);
//		throw new Exception("EHE");
		return new GreetingResponse("Hello Mr." + name);
	}

	@Override
	public GreetingResponse hiLady(String name) {
		logger.info("name: " + name);
		return new GreetingResponse("Hello lady " + name);
	}

}
